<xsl:stylesheet
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:exslt="urn:schemas-microsoft-com:xslt"
version="1.1">

  <xsl:output method="html"/>

  <!-- Root rule -->

  <xsl:template match="/">
    <!-- Create header of HTML output  -->
    <html>
      <head>
        <title>W&amp;B Report</title>
      </head>
      <body bgcolor="315594">
        <xsl:apply-templates select="Report"/>
      </body>
    </html>
  </xsl:template>


  <xsl:template match="Report">

    <TABLE border="1" bgcolor="e8e8e8">
      <TR bgcolor="cecfd6">
        <TD>
          <B>Computation Units</B>
        </TD>
        <TD>
          <B>Mass</B>
        </TD>
        <TD>
          <B>Density</B>
        </TD>
        <TD>
          <B>SurfacicDensity</B>
        </TD>
        <TD>
          <B>Volume</B>
        </TD>
        <TD>
          <B>Center of gravity</B>
        </TD>
        <TD>
          <B>Moment of inertia</B>
        </TD>
        <TD>
          <B>Product of inertia</B>
        </TD>
        <TD>
          <B>Inertia Reference Point</B>
        </TD>
        <TD>
          <B>Inertia Reference Axis</B>
        </TD>
        <TD>
          <B>User</B>
        </TD>
        <TD>
          <B>Date</B>
        </TD>        
        <TD>
          <B>Time</B>
        </TD>        
      </TR>
      <TR>
        <nobr>
          <TD/>
          <TD>
            <xsl:value-of select = "@MassUnit"/>
          </TD>
          <TD>
            <xsl:value-of select = "@DensityUnit"/>
          </TD>
          <TD>
            <xsl:value-of select = "@SurfacicDensityUnit"/>
          </TD>
          <TD>
            <xsl:value-of select = "@VolumeUnit"/>
          </TD>
          <TD>
            <xsl:value-of select = "@LengthUnit"/>
          </TD>
          <TD>
            <xsl:value-of select = "@InertiaMomentUnit"/>
          </TD>
          <TD>
            <xsl:value-of select = "@InertiaMomentUnit"/>
          </TD>
          <TD>
            <xsl:value-of select = "@InertiaReferencePoint"/>
          </TD>
          <TD>
            <xsl:value-of select = "@InertiaReferenceAxis"/>
          </TD>
          <TD>
            <xsl:value-of select = "@User"/>
          </TD>
          <TD>
            <xsl:value-of select = "@Date"/>
          </TD>
          <TD>
            <xsl:value-of select = "@Time"/>
          </TD>          
        </nobr>
      </TR>
    </TABLE>

    <blockquote>
      <hr/>
    </blockquote>

    <TABLE border="1" bgcolor="e8e8e8">

      <xsl:apply-templates select="/Report/PRC"/>
    </TABLE>
    
    <blockquote>
      <hr/>
    </blockquote>

    <TABLE border="1" bgcolor="e8e8e8">
      <xsl:apply-templates select="/Report/PRC/WB_Section"/>
    </TABLE>
    
    <blockquote>
      <hr/>
    </blockquote>

    <TABLE border="1" bgcolor="e8e8e8">
      <xsl:apply-templates select="/Report/PRC/WB_Section/PartInstance"/>
    </TABLE>
    
  </xsl:template>

  <xsl:template match="/Report/PRC">

    <xsl:if test="position() = 1">
      <TR bgcolor="cecfd6">
        <TD>
          <B>PRC ID</B>
        </TD>
        <TD>
          <B>WB Mass</B>
        </TD>
        <TD>
          <B>WB Lower Deviation</B>
        </TD>
        <TD>
          <B>WB Upper Deviation</B>
        </TD>
        <TD>
          <B>Cut Volume</B>
        </TD>
        <TD>
          <B>COGx</B>
        </TD>
        <TD>
          <B>COGy</B>
        </TD>
        <TD>
          <B>COGz</B>
        </TD>
        <TD>
          <B>MOIxx</B>
        </TD>
        <TD>
          <B>MOIyy</B>
        </TD>
        <TD>
          <B>MOIzz</B>
        </TD>
        <TD>
          <B>POIxy</B>
        </TD>
        <TD>
          <B>POIxz</B>
        </TD>
        <TD>
          <B>POIyz</B>
        </TD>
        <xsl:for-each select="@*">
          <xsl:if test =   "name() != 'PRC_V_ID'
          		and name() != 'WB_Mass'
                        and name() != 'WB_Lower_deviation'
                        and name() != 'WB_Upper_deviation' 
                        and name() != 'Cut_Volume' 
                        and name() != 'COGx'
                        and name() != 'COGy'
                        and name() != 'COGz'
                        and name() != 'MOIxx'
                        and name() != 'MOIyy'
                        and name() != 'MOIzz'
                        and name() != 'POIxy'
                        and name() != 'POIxz'
                        and name() != 'POIyz'">
            <TD>
            </TD>
          </xsl:if>
        </xsl:for-each>
      </TR>
    </xsl:if>
      <TR>
        <TD>
          <nobr>
            <xsl:value-of select = "@PRC_V_ID"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@WB_Mass"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@WB_Lower_deviation"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@WB_Upper_deviation"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@Cut_Volume"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@COGx"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@COGy"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@COGz"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@MOIxx"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@MOIyy"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@MOIzz"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@POIxy"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@POIxz"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@POIyz"/>
          </nobr>
        </TD>
      </TR>
  </xsl:template>
  
  <xsl:template match="/Report/PRC/WB_Section">
    <xsl:if test="position() = 1">
      <TR bgcolor="cecfd6">
        <TD>
          <B>Bay Area</B>
        </TD>
        <TD>
          <B>WB Mass</B>
        </TD>
        <TD>
          <B>WB Lower Deviation</B>
        </TD>
        <TD>
          <B>WB Upper Deviation</B>
        </TD>
        <TD>
          <B>Cut Volume</B>
        </TD>
        <TD>
          <B>COGx</B>
        </TD>
        <TD>
          <B>COGy</B>
        </TD>
        <TD>
          <B>COGz</B>
        </TD>
        <TD>
          <B>MOIxx</B>
        </TD>
        <TD>
          <B>MOIyy</B>
        </TD>
        <TD>
          <B>MOIzz</B>
        </TD>
        <TD>
          <B>POIxy</B>
        </TD>
        <TD>
          <B>POIxz</B>
        </TD>
        <TD>
          <B>POIyz</B>
        </TD>
        <xsl:for-each select="@*">
          <xsl:if test = "name() != 'Name'
                        and name() != 'WB_Mass'
                        and name() != 'WB_Lower_deviation'
                        and name() != 'WB_Upper_deviation' 
                        and name() != 'Cut_Volume'
                        and name() != 'COGx'
                        and name() != 'COGy'
                        and name() != 'COGz'
                        and name() != 'MOIxx'
                        and name() != 'MOIyy'
                        and name() != 'MOIzz'
                        and name() != 'POIxy'
                        and name() != 'POIxz'
                        and name() != 'POIyz'">
            <TD>
              <B>
                <nobr>
                  <xsl:value-of select="name()" />
                </nobr>
              </B>
            </TD>
          </xsl:if>
        </xsl:for-each>
      </TR>
    </xsl:if>
      <TR>
        <TD>
          <nobr>
            <xsl:value-of select = "@Name"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@WB_Mass"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@WB_Lower_deviation "/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@WB_Upper_deviation"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@Cut_Volume"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@COGx"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@COGy"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@COGz"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@MOIxx"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@MOIyy"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@MOIzz"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@POIxy"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@POIxz"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@POIyz"/>
          </nobr>
        </TD>
      </TR>
  </xsl:template>
<xsl:template match="/Report/PRC/WB_Section/PartInstance">
    <xsl:if test="position() = 1">
      <TR bgcolor="cecfd6">
        <TD>
          <B>Bay Area</B>
        </TD>
        <TD>
          <B>Instance ID</B>
        </TD>
        <TD>
          <B>Part ID</B>
        </TD>
        <TD>
          <B>WB Mass</B>
        </TD>
        <TD>
          <B>WB Lower Deviation</B>
        </TD>
        <TD>
          <B>WB Upper Deviation</B>
        </TD>
        <TD>
          <B>Cut Volume</B>
        </TD>
        <TD>
          <B>COGx</B>
        </TD>
        <TD>
          <B>COGy</B>
        </TD>
        <TD>
          <B>COGz</B>
        </TD>
        <TD>
          <B>MOIxx</B>
        </TD>
        <TD>
          <B>MOIyy</B>
        </TD>
        <TD>
          <B>MOIzz</B>
        </TD>
        <TD>
          <B>POIxy</B>
        </TD>
        <TD>
          <B>POIxz</B>
        </TD>
        <TD>
          <B>POIyz</B>
        </TD>
        <TD>
          <B>Material</B>
        </TD>
        <TD>
          <B>Density</B>
        </TD>
        <TD>
          <B>Density Dimension</B>
        </TD>
        <TD>
          <B>WB Material Name</B>
        </TD>
        <TD>
          <B>WB Density</B>
        </TD>
        <TD>
          <B>Active Document</B>
        </TD>
        <TD>
          <B>WB Active Mass Type</B>
        </TD>
        <TD>
          <B>WB Last imposed Mass Type</B>
        </TD>
        <xsl:for-each select="@*">
          <xsl:if test = "name() != 'Name'
                        and name() != 'WB_Mass'
                        and name() != 'WB_Lower_deviation'
                        and name() != 'WB_Upper_deviation' 
                        and name() != 'Cut_Volume'
                        and name() != 'COGx'
                        and name() != 'COGy'
                        and name() != 'COGz'
                        and name() != 'MOIxx'
                        and name() != 'MOIyy'
                        and name() != 'MOIzz'
                        and name() != 'POIxy'
                        and name() != 'POIxz'
                        and name() != 'POIyz'
                        and name() != 'V_ID'
                        and name() != 'V_Instance_ID'
                        and name() != 'Material'
                        and name() != 'Density'
                        and name() != 'WB_Density'
                        and name() != 'WB_Active_mass_type'
                        and name() != 'WB_Last_imposed_mass_type'
                        and name() != 'WB_Material_Name'
                        and name() != 'Density_dimension'
                        and name() != 'Active_Document'">
            <TD>
              <B>
                <nobr>
                  <xsl:value-of select="name()" />
                </nobr>
              </B>
            </TD>
          </xsl:if>
        </xsl:for-each>
      </TR>
    </xsl:if>
      <TR>
        <TD>
          <nobr>
            <xsl:value-of select = "@Name"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@V_Instance_ID"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@V_ID"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@WB_Mass"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@WB_Lower_deviation "/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@WB_Upper_deviation"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@Cut_Volume"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@COGx"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@COGy"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@COGz"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@MOIxx"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@MOIyy"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@MOIzz"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@POIxy"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@POIxz"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@POIyz"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@Material"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@Density"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@Density_dimension"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@WB_Material_Name"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@WB_Density"/>
          </nobr>
        </TD>        <TD>
          <nobr>
            <xsl:value-of select = "@Active_Document"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@WB_Active_mass_type"/>
          </nobr>
        </TD>
        <TD>
          <nobr>
            <xsl:value-of select = "@WB_Last_imposed_mass_type"/>
          </nobr>
        </TD>
      </TR>

  </xsl:template>

</xsl:stylesheet>
